.TH ulthesis l "20 July 2006" "Rev. 2.03"
.SH NAME
\fBulthesis\fP \- LaTeX style file for producing a U of L Master's thesis
or PhD dissertation.
.SH SYNTAX
.B ulthesis
.RI 
.RI 
.SH DESCRIPTION
The LaTeX document class
.I ulthesis
will create an M.S. thesis or a Ph.D. dissertation
in a style acceptable to the Graduate
School based on their 2006 requirements. 
For details see the sample files that
are provided with the ulthesis.cls file. 
.LP
The manuscript which is produced by 
.I ulthesis
will have the proper prefix material such as the title page, signature page,
abstract page, table of contents, table of figures, and table of tables.
The margins will be correct, and the pagination will be in the proper
style.  Chapters will be labeled by Roman Numerals, and numbering
for figures, tables, and equation will be consecutive through the thesis.
.LP
Tables, figures, and equations are handled with the usual LaTeX environments.
LaTeX permits the inclusion of encapsulated 
.I epsf
PostScript files for figures.  If the thesis source file and the figure epsf
files are in the same subdirectory,  the PostScript output will include
all of the figures automatically.  References to chapter numbers, equations,
figures and tables are made through the LaTeX 
.I label
and
.I ref
commands so that the author does not have to keep track of the numbers,
but only the abstract labels.
.LP
The bibliography is in the Physical Review (APS) style.  Citations in the
text will be numbered and appear in square brackets
such as
.I [999]
The author must maintain a bibliographic list with each item in
the APS style. The ordering number of the citations will be the same as
they are in this list. Alternatively, the author may use bibtex
to maintain the bibliography.  
.LP
A sample thesis is provided in the directory
/usr/local/src/ulthesis
which should be used as a template.  It includes examples of equations,
tables, and encapsulated PostScript figures.  To use this sample,
copy the contents of this directory to a directory on your account.
The sample includes some markup necessary to conform to the university
style requirements.
If the filename is
.I mythesis.tex
then use
.B latex
and issue the command "latex mythesis".  You may have to do this
twice if the thesis is creating a revised bibliography or new
tables of contents. To create a PostScript file from the device
independent dvi file, use
.B dvips.  
The command is "dvips -t letter mythesis"  
to create a PostScript output file
.I mythesis.ps
suitable for lettersize paper.
The thesis is printed with the command
.I lpr mythesis.ps
It may be previewed either with 
.B xdvi
using the command 
"xdvi mythesis"
or the PostScript file may be previewed with
.B ghostview
using the command
"gv mythesis.ps"
.LP
Figure preparation can be done using Grace with the command
.B xmgr
for plotting graphical data. One output option is to create an encapsulated
PostScript file which may then be included in the LaTeX source for
the  thesis.  Other options include
.B xsane
for scanning in material, 
.B xfig
for making line drawings, and
.B gimp
for processing photographs or images. 
.LP
The standard LaTeX reference is the book 
.I LaTeX 
by Leslie Lamport
(Addison-Wesley ISBN 0-201-5283-1).  
It is available in good bookstores, or may be
ordered if it is not on the shelf. 
.SH See also 
latex, xsane, xmgr, xdvi, dvips
.SH AUTHOR
John Kielkopf
